POST/assistant/{paper_id}/chat
Chat
Website sign-in only
| Name | In | Type | Description |
|---|---|---|---|
| paper_id * | path | integer |
| Field | Type | Description |
|---|---|---|
| conversation_id | string | null | |
| history | ChatTurn[] | |
| content * | string | |
| role * | "user" | "assistant" | |
| message * | string | |
| project_id | integer | null |
Response: any
curl -X POST 'https://api.papervantage.com/assistant/1/chat' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"message":"<message>"}'